// ลิงค์ liff id
// const btn = document.getElementById('btn');
const liffId = '1656425864-aVLGBqmg';
let userId = '';

function main(){
    liff.init({liffId: liffId});
    // login
    liff.ready.then(() => {
        if(!liff.isLoggedIn()){
            liff.login();
        }
        // profile
        liff.getProfile().then(profile => {
            console.log(profile);
            // console.log(profile.userId);
            // console.log(profile.displayName);
            // console.log(profile.pictureUrl);
            // document.getElementById("userId").var(profile.userId);
            document.getElementById("pictureUrl").src = profile.pictureUrl;
            document.getElementById("userId").value = profile.userId;
            document.getElementById("displayName").value = profile.displayName;
            document.getElementById("statusMessage").value =  profile.statusMessage;
        })
    });
}
main()
